Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have just installed gcc 4.7 from ppa repository. Ubuntu 12.04 already comes with 4.6. When I use command:

gcc --version

It tells me it is 4.6.3 to be exact.

I have no idea of how to launch the 4.7 compiler. In fact, I wouldn't mind erasing the former version and stay with 4.7 only (I guess that wouldn't be a problem).

How can I fix this?

share|improve this question
    
do you have synaptic on your system?! –  user61928 Sep 27 '12 at 8:40
    
If i uninstall gcc from synaptic, when I call gcc into console version 4.7 will show up? Just as easy as that? –  Roman Rdgz Sep 27 '12 at 9:05
    
yes but you must check which version you are removing –  user61928 Sep 27 '12 at 9:08
    
you have to remove you old gcc first sudo apt-get remove gcc* then install the newer version –  blade19899 Sep 27 '12 at 10:10
add comment

1 Answer 1

Use update-alternatives (from CLI) or galternatives (from GUI) to set the default for gcc.

If you don't have them, install with: sudo apt-get install galternatives.
I would use the GUI version, it is more simple for a beginner.

From CLI:
sudo update-alternatives --install /usr/bin/gcc gcc /path/to/newer/gcc 40
sudo update-alternatives --install /usr/bin/gcc gcc /path/to/older/gcc 30
sudo update-alternatives --config gcc

share|improve this answer
    
I have installed galternatives but I have no idea of what I should do with it. gcc is not listed among the list of alternatives. 'C++' is, for example, and if I click I see only one option, using /usr/bin/g++. But I don't know If adding a new option to the newer g++ –  Roman Rdgz Sep 27 '12 at 10:59
    
See the CLI commands. Customize them, to fit your needs. –  Frantique Sep 27 '12 at 12:31
    
I have had a look at /usr/bin looking for the newer g++, and I found that I currently have gcc4.5, 4.6 and 4.7, and then there is a link to executable called gcc, which points to gcc-4.6. Same for g++. Wouldn't it be easier to modify this link from console (don't know how to) to point to 4.7, and leave everything else as it is? –  Roman Rdgz Sep 27 '12 at 13:17
    
Roman: for this is made the alternatives to not to modify anything in the filesystem. Try to read a little bit about it, it worths... –  Frantique Sep 27 '12 at 13:25
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.